<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Core/Scripts/3_game/dayzexpansion_core/client/syncplayerlist.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/dfa/a00746_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">syncplayerlist.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d4/dfa/a00746.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * SyncPlayerList.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License. </span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d2/dfc/a04310.html">   13</a></span>modded <span class="keyword">class </span><a class="code hl_class" href="../../d2/dfc/a04310.html">SyncPlayerList</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    <span class="comment">// Override CreatePlayerList</span></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../d2/dfc/a04310.html#a90e59718546d1a3cdbf2a557d361755f">   18</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d2/dfc/a04310.html#a90e59718546d1a3cdbf2a557d361755f">CreatePlayerList</a>()</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.GLOBAL, <span class="keyword">this</span>, <span class="stringliteral">&quot;CreatePlayerList&quot;</span>);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        <span class="keywordflow">if</span> ( GetGame().IsServer() )</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>        {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>            <span class="keywordflow">if</span> ( m_PlayerList )</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>            {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>                m_PlayerList.Clear();</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>            } <span class="keywordflow">else</span></div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>            {</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>                m_PlayerList = <span class="keyword">new</span> array&lt; ref SyncPlayer &gt;;</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>            }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>            array&lt; Man &gt; players = <span class="keyword">new</span> array&lt; Man &gt;;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>            GetGame().GetWorld().GetPlayerList( players );</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span> </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>            <span class="keywordflow">for</span> ( <span class="keywordtype">int</span> i = 0; i &lt; players.Count(); ++i )</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>            {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>                Man player = players[i];</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>                PlayerIdentity p_identity = player.GetIdentity();</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span> </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>                <span class="keywordflow">if</span>  ( p_identity )</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>                {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>                    <a class="code hl_class" href="../../da/db5/a04306.html">SyncPlayer</a> sync_player = <span class="keyword">new</span> <a class="code hl_class" href="../../da/db5/a04306.html">SyncPlayer</a>;</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>                    sync_player.m_UID = p_identity.GetPlainId();</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>                    sync_player.<a class="code hl_variable" href="../../da/db5/a04306.html#a7b3920aa6c56877e507b9553eaa4bc92">m_RUID</a> = p_identity.GetId();</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>                    sync_player.m_PlayerName = p_identity.GetName();</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>                    m_PlayerList.Insert( sync_player );</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>                } <span class="keywordflow">else</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>                {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>                    DebugPrint.LogErrorAndTrace(<span class="stringliteral">&quot;No Identity in Server Player List&quot;</span>);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>                }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>};</div>
<div class="ttc" id="aa00722_html_a5be2213174cd68943ae1e0885eca5ec7"><div class="ttname"><a href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a></div><div class="ttdeci">static CF_Trace CF_Trace_0(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d7c/a00722_source.html#l00069">cf_trace.c:69</a></div></div>
<div class="ttc" id="aa04306_html"><div class="ttname"><a href="../../da/db5/a04306.html">SyncPlayer</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/a00743_source.html#l00013">syncplayer.c:14</a></div></div>
<div class="ttc" id="aa04306_html_a7b3920aa6c56877e507b9553eaa4bc92"><div class="ttname"><a href="../../da/db5/a04306.html#a7b3920aa6c56877e507b9553eaa4bc92">SyncPlayer::m_RUID</a></div><div class="ttdeci">string m_RUID</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/d0a/a00743_source.html#l00015">syncplayer.c:15</a></div></div>
<div class="ttc" id="aa04310_html"><div class="ttname"><a href="../../d2/dfc/a04310.html">SyncPlayerList</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dfa/a00746_source.html#l00013">syncplayerlist.c:14</a></div></div>
<div class="ttc" id="aa04310_html_a90e59718546d1a3cdbf2a557d361755f"><div class="ttname"><a href="../../d2/dfc/a04310.html#a90e59718546d1a3cdbf2a557d361755f">SyncPlayerList::CreatePlayerList</a></div><div class="ttdeci">override void CreatePlayerList()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/dfa/a00746_source.html#l00018">syncplayerlist.c:18</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_fa1f4f079ed95106cba6603012ba90d8.html">Core</a></li><li class="navelem"><a class="el" href="../../dir_4763e2204ca4935d3e08fff4ec8c41d9.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_f7c621fee0a2c32a175ba0589ac46b9f.html">3_game</a></li><li class="navelem"><a class="el" href="../../dir_9ddfc87c5f9b9fe1ae81092761181e6d.html">dayzexpansion_core</a></li><li class="navelem"><a class="el" href="../../dir_892fe0fdb9e2892c5c2944a2fe22e5a6.html">client</a></li><li class="navelem"><a class="el" href="../../d4/dfa/a00746.html">syncplayerlist.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
